# Generated from roqua-core-api-0.7.0.gem by gem2rpm -*- rpm-spec -*-
%global gem_name roqua-core-api

Name: rubygem-%{gem_name}
Version: 0.7.0
Release: 1%{?dist}
Summary: API wrapper gem around Core's API
License: MIT
URL: https://github.com/roqua/core/blob/master/core_api/README.markdown
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 2.7
# BuildRequires: rubygem(dotenv) >= 0.10
# BuildRequires: rubygem(dotenv) < 1
# BuildRequires: rubygem(fabrication) >= 2.9
# BuildRequires: rubygem(fabrication) < 3
# BuildRequires: rubygem(rspec) >= 3.0
# BuildRequires: rubygem(rspec) < 4
# BuildRequires: rubygem(webmock) >= 1.17
# BuildRequires: rubygem(webmock) < 2
# BuildRequires: rubygem(yard) >= 0.8
# BuildRequires: rubygem(yard) < 1
BuildArch: noarch

%description
Provides authenticated access to Core.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%license %{gem_instdir}/LICENSE.txt
%{gem_instdir}/config
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/ChangeLog.md
%doc %{gem_instdir}/README.md
%{gem_instdir}/spec

%changelog
* Wed Dec 14 2022 mockbuilder - 0.7.0-1
- Initial package
